/* layout */
.overview-header .header {
    position: relative;
}

.visualization-container * {
    box-sizing: border-box;
}

.visualization-content-container * {
    display: inline-block !important;
}

.ctf-progress-wrapper {
    box-sizing: border-box;
    position: relative;
    padding-bottom: 1em;
    width: 100%;
    font-weight: 400;
    color: #2f2f2f;
}

.ctf-progress-head-wrapper {
    margin-bottom: 0.75em;
    border-bottom: 1px solid rgba(195, 195, 195, 0.35);
    padding: 1em 1em 0 1em;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}

h2.ctf-progress-heading {
    color: #2f2f2f;
    display: inline-block !important;
    font-size: 26px !important;
    margin: 0 0.75em 0.5em 0 !important;
    font-weight: 400 !important;
    line-height: 34px !important;
}

.ctf-progress-chart {
    max-width: 100%;
    width: 100%;
}

.ctf-progress-column {
    padding: 0 1em;
}

.ctf-progress-column text {
    font-size: 14px;
}

.ctf-progress-teamcolumn {
    text-align: right;
}

.ctf-progress-teamcolumn span {
    margin-right: -7px;
}

#ctf-progress-teamcolumn svg {
    float: right;
    width: 130px;
    overflow: visible;
}

.m-b-0 {
    margin-bottom: 0;
}

.m-b-0-25 {
    margin-bottom: 0.25em;
}

text {
    fill: #606060;
    transition: fill 0.15s ease-in;
}

.ctf-progress-zoom text {
    transition: none;
}

/* team highlighting */
.visualization-container.final .ctf-progress-column text:not(.data-hover) {
    /*fill: #d8d8d8;*/
    transition: none;
}

.visualization-container.final .training-layer .data-hover {
    opacity: 0.5 !important;
}

.ctf-progress-hover .training-layer .faded,
.ctf-training-progress .training-layer rect {
    opacity: 0.5;
}

.visualization-container.final .training-layer .faded.data-hover {
    opacity: 0.6 !important
}

.visualization-container.final .training-layer .preserved.data-hover {
    opacity: 0.8 !important;
}

.visualization-container.final  .ctf-training-progress .training-segment-finished {
    opacity: 0.9 !important;
}

.visualization-container.final  .training-layer .preserved,
.ctf-progress .training-layer .preserved {
    opacity: 1 !important;
}


/* axes */
.axis .tick text {
    font-weight: 200;
    font-size: 14px;
}

.axis-x .tick line {
    stroke: #A9A9A9;
    stroke-width: 1px;
}

.axis-y .tick line {
    stroke: transparent;
}

.axis .domain {
    stroke: transparent;
}

/* time */
#ctf-progress-time {
    position: absolute;
    right: -19px;
    font-size: 31px;
    font-weight: 400;
    width: 140px;
    line-height: 0.8;
}

/* timeline */
.timeline {
    stroke: #2f2f2f;
}

/* plan */
.plan-layer {
    pointer-events: none;
}

/* training chart */
.ctf-training-overview,
.ctf-training-progress {
    overflow-x: hidden;
}

/* events */
.events path {
    transform-origin: 0% 0%;
    width: 10px;
    height: 10px;
    stroke-width: 1px;
}

.event-number {
    fill: #fff;
    pointer-events: none;
}

.ctf-progress-tooltip {
    position: absolute;
    text-align: left;
    display: inline-block;
    width: auto;
    padding: 5px 10px;
    font-size: 10px;
    opacity: 0.9;
    background: #5b5c5e;
    color: #fff;
    border-radius: 2px;
    pointer-events: none;
    transform: translate(0, -100%);
    font-family: 'Roboto', sans-serif;
}

.ctf-progress-tooltip-item {
    display: block;
    margin: 0 0.2em 0.15em 0;
}

.ctf-progress-tooltip-item svg {
    transform: translateY(0.25em);
    margin-right: 0.3em;
}

.ctf-progress-tooltip-item path {
    fill: #fff;
}

/** Selects **/

/* Reset select */
.ctf-progress-options select {
    -webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    appearance: none;
    outline: 0;
    box-shadow: none;
    background: #efefef;
    background-image: none;
}

/* Custom select */
.ctf-progress-options {
    width: auto;
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: flex-start;
    flex-wrap: wrap;
    position: relative;
}

.ctf-progress-select-wrapper {
    display: inline-block;
    width: auto;
    min-width: 9em;
    margin-bottom: 1em;
}

.ctf-progress-select-wrapper:not(:last-child) {
    margin-right: 1em;
}

.ctf-progress-select {
    position: relative !important;
    display: block !important;
    height: 36px !important;
}

.ctf-progress-options select {
    width: 100%;
    font-weight: 400 !important;
    height: 36px !important;
    line-height: 2 !important;
    font-family: 'Roboto', sans-serif !important;
    border: 1px solid rgba(195, 195, 195, 0.5) !important;
    border-radius: 0 !important;
    background: #fff !important;
    margin: 0 !important;
    padding: 0 1.15em 0 1.75em !important;
    color: #2f2f2f !important;
    cursor: pointer;
}

.ctf-progress-select-icon {
    fill: #929292;
    display: inline-block;
    margin-right: 3px;
    position: absolute;
    left: 0.3em;
    top: 50%;
    transform: translateY(-50%);
    pointer-events: none;
}

/* Arrow */
.ctf-progress-options .ctf-progress-select:after {
    content: "";
    display: block;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 5px 5px 0 5px;
    border-color: #5c75a7 transparent transparent transparent;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 0.5em;
}

/* Error message */
.ctf-progress-error {
    font-size: 20px;
}

.ctf-progress-error-icon {
    fill: #f00;
    transform: translateY(0.2em);
    margin-right: 0.25em;
}

@media (max-width: 576px) {
    .ctf-progress-teamcolumn {
        position: relative;
    }

    .ctf-progress-teamcolumn span {
        position: absolute !important;
        right: 10px;
        bottom: 0;
        margin: 0;
    }
}

@media (max-width: 320px) {
    .svg text {
        font-size: 12px;
    }
}

/* Grid */

.level-grid-container {
    margin: 1px 20px 30px;
}

.ctfh-container-fluid {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
}

.ctfh-row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-right: -15px;
    margin-left: -15px;
}

.ctfh-no-gutters {
    margin-right: 0;
    margin-left: 0;
}

.ctf-main-container {
    padding-bottom: 20px;
}

.ctfh-col-2, .ctfh-col-8, .ctfh-col-sm-8 {
    position: relative;
    width: 100%;
    min-height: 1px;
    padding-right: 15px;
}

.ctfh-col-2.short {
    max-width: 21px;
    padding-top: 2px;
    padding-right: 0;

}

.ctfh-col-8 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 86%;
    flex: 0 0 86%;
    max-width: 69%;
}

@media (min-width: 576px) {

    .ctfh-offset-sm-2 {
        margin-left: 16.666667%;
    }
}

.empty-data {
    text-align: center;
}

.legend-container {
    margin: 0 1%;
}

.fade {
    opacity: 0.2 !important;
}

.hidden {
    opacity: 0 !important;
}
